[问题]那位大哥能告诉我,如何设置才能让apt-get通过socks代理更新

为当前最终发行版之前的所有版本提供支持
回复
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

[问题]那位大哥能告诉我,如何设置才能让apt-get通过socks代理更新

#1

帖子 ljflovewyn » 2007-03-28 15:15

我看了论坛上一些帖子,但是都是讲通过Http代理,没有Socks的,我照着做,还是不能使用apt-get,谁能告诉我,怎么做呀
lukefury
帖子: 138
注册时间: 2006-06-03 15:41
送出感谢: 0
接收感谢: 0

#2

帖子 lukefury » 2007-03-28 15:27

在终端里运行一下export看看
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 ljflovewyn » 2007-03-28 17:42

export是干什么的?
lukefury
帖子: 138
注册时间: 2006-06-03 15:41
送出感谢: 0
接收感谢: 0

#4

帖子 lukefury » 2007-03-28 18:13

port
Set an environment variable. Mark each name to be passed to child processes in the environment.

SYNTAX
export [-fn] [-p] [name[=value]]

OPTIONS
-f The names refer to shell functions;
otherwise the names refer to shell variables
-n No longer mark each name for export.
-p Display output in a form that may be reused as input.

If no names are supplied, or if the `-p' option is given, a list of exported names is displayed.

The return status is zero unless an invalid option is supplied, one of the names is not a valid shell variable name, or `-f' is supplied with a name that is not a shell function.

export is a BOURNE shell command and a POSIX `special' builtin.

Example - local variables

old_file=export.csv
new_file=last.csv
mv $old_file $new_file

Example - global variables

mydepartment=Sales ; export mydepartment
mycustomer='Brown Brothers' ; export mycustomer
wucongkun
帖子: 251
注册时间: 2006-11-10 20:27
送出感谢: 0
接收感谢: 0

#5

帖子 wucongkun » 2007-03-28 21:12

好像socks是和服务无关的,开了socks就可以在socks上面进行任何服务。
socks不能用于浏览网页么?
不支持http协议?
Socks 不要求应用程序遵循特定的操作系统平台,Socks 代理与应用层代理、 HTTP 层代理不同,Socks 代理只是简单地传递数据包,而不必关心是何种应用协议(比如FTP、HTTP和NNTP请求)。所以,Socks代理比其他应用层代理要快得多。
搜索来的说明。。。
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zhan » 2007-03-28 21:44

用 dante 试试看。
具体的资料可以 google
配置好之后使用 socksify command 使用
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 ljflovewyn » 2007-03-29 9:58

谢谢大家,我试试看,我用Socks代理可以浏览网页,但是用apt-get更新的时候,就很慢,说是连接超时,我也是教育网,连接教育网的源应该很快呀。
回复

回到 “老旧版本支持”